Page MenuHomePhabricator

Migrate access-requests@ from RT to Phabricator
Closed, DeclinedPublic

Description

access-requests@ hasn't been migrated from RT yet. Let's use this task to follow the progress.

Event Timeline

Qgil created this task.Dec 18 2014, 11:08 AM
Qgil raised the priority of this task from to Needs Triage.
Qgil updated the task description. (Show Details)
Qgil changed Security from none to None.
Qgil added a subscriber: Qgil.
Qgil renamed this task from Migrate @access-requests from RT to Phabricator to Migrate access-requests@ from RT to Phabricator.Dec 18 2014, 11:10 AM
Qgil updated the task description. (Show Details)
mark added a subscriber: mark.Dec 18 2014, 12:54 PM

So migrating the existing content of this queue to Phabricator isn't a priority for us, but given that we'll likely receive most new requests in Phabricator anyway, we'll need to make this work in some shape or form. Let's create this project and figure out a (manual) workflow for now, and optimize it later.

Migrating the existing RT content can happen when we also do the procurement queue; as long as we still can refer to the existing (resolved) tickets in RT itself we should be fine for now.

Joe added a subscriber: Joe.Dec 18 2014, 12:57 PM

First thing we'd need is a dedicated project in phabricator, see T84867

Qgil triaged this task as Normal priority.Dec 18 2014, 1:31 PM
Dzahn added a subscriber: Dzahn.May 29 2015, 3:54 PM

Since new requests have been migrated to phab, do we still plan to import the existing old tickets before we shut down RT at some point?

Wondering who from Ops to make a call what's left / if importing is wanted. Or if noone knows, maybe to bring up in a weekly Ops meeting?

Since new requests have been migrated to phab, do we still plan to import the existing old tickets before we shut down RT at some point?

@mark, what do you think?

Aklapper assigned this task to mark.Jul 23 2015, 2:01 PM

! In T84861#1365698, @chasemp wrote:

! In T84861#1321088, @Dzahn wrote:

Since new requests have been migrated to phab, do we still plan to import the existing old tickets before we shut down RT at some point?

@mark: Input / decision welcome. (Feel free to reassign after doing so.)

Restricted Application added a subscriber: Matanya. · View Herald TranscriptJul 23 2015, 2:01 PM
mark reassigned this task from mark to Aklapper.Jul 23 2015, 2:09 PM

I'd be inclined to say, not really necessary, as long as we keep a DB backup of RT just in case.

Aklapper removed Aklapper as the assignee of this task.Jul 23 2015, 7:57 PM

Sometimes it's useful to be able to refer back to old tickets easily.

chasemp closed this task as Declined.Sep 4 2015, 9:49 PM
chasemp claimed this task.

We have said for now we are not going to do this, RT things will be made available for reference in other ways.

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptSep 4 2015, 9:49 PM